Update a vault
PATCH
/vaults/{id}
const url = 'https://api.engram.page/vaults/example';const options = { method: 'PATCH', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"is_default":true,"name":"Research (renamed)"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PATCH \ --url https://api.engram.page/vaults/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "is_default": true, "name": "Research (renamed)" }'Updates a vault’s name or is_default flag and returns the updated vault. Returns 404 when no such vault exists and 422 on validation errors.
Authorizations
Section titled “Authorizations”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters”id
required
string
Vault UUID
Request Bodyrequired
Section titled “Request Bodyrequired”Fields to change
Media typeapplication/json
UpdateVaultRequest
object
is_default
boolean
name
string
Example
{ "is_default": true, "name": "Research (renamed)"}Responses
Section titled “ Responses ”Updated
Media typeapplication/json
VaultResponse
object
vault
required
Vault
object
attachment_count
integer
created_at
string format: date-time
deleted_at
string format: date-time
encrypted
Always true — vaults are encrypted at rest.
boolean
id
required
string format: uuid
is_default
boolean
name
required
string
note_count
integer
populated
True once the vault holds a note other than the seeded welcome note (the moment the vault_populated event fires).
boolean
purge_at
When a soft-deleted vault is hard-purged (deleted_at + 30d).
string format: date-time
slug
string
Examplegenerated
{ "vault": { "attachment_count": 1, "created_at": "2026-04-15T12:00:00Z", "deleted_at": "2026-04-15T12:00:00Z", "encrypted": true, "id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "is_default": true, "name": "example", "note_count": 1, "populated": true, "purge_at": "2026-04-15T12:00:00Z", "slug": "example" }}No such vault
Media typeapplication/json
MessageError
object
error
required
string
Example
{ "error": "not found"}Validation error